#include "dbus-interface-definitions.h"
const char* DBUS_INTERFACE_XML =
"<!DOCTYPE node PUBLIC '-//freedesktop//DTD D-BUS Object Introspection 1.0//EN'\n"
"  'http://www.freedesktop.org/standards/dbus/1.0/introspect.dtd'>\n"
"<node>\n"
"  <interface name='org.pwmt.zathura'>\n"
"    <!-- Open a document in a running zathura instance. -->\n"
"    <method name='OpenDocument'>\n"
"      <arg type='s' name='path' direction='in' />\n"
"      <arg type='s' name='password' direction='in' />\n"
"      <arg type='i' name='page' direction='in' />\n"
"      <arg type='b' name='return' direction='out' />\n"
"    </method>\n"
"    <!-- Close open document. -->\n"
"    <method name='CloseDocument'>\n"
"      <arg type='b' name='return' direction='out' />\n"
"    </method>\n"
"    <!-- Go to a specific page . -->\n"
"    <method name='GotoPage'>\n"
"      <arg type='u' name='page' direction='in' />\n"
"      <arg type='b' name='return' direction='out' />\n"
"    </method>\n"
"    <!-- Go to a page and highlight rectangles there. -->\n"
"    <method name='HighlightRects'>\n"
"      <arg type='u' name='page' direction='in' />\n"
"      <arg type='a(dddd)' name='rectangles' direction='in' />\n"
"      <arg type='a(udddd)' name='secondary_rectangles' direction='in' />\n"
"      <arg type='b' name='return' direction='out' />\n"
"    </method>\n"
"    <property type='s' name='filename' access='read' />\n"
"    <property type='u' name='pagenumber' access='read' />\n"
"    <property type='u' name='numberofpages' access='read' />\n"
"    <!-- Open editor with given input file at line and column. -->\n"
"    <signal name='Edit'>\n"
"      <arg type='s' name='input' direction='out' />\n"
"      <arg type='u' name='line' direction='out' />\n"
"      <arg type='u' name='column' direction='out' />\n"
"    </signal>\n"
"    <!--\n"
"      Go to a page and highlight rectangles there based on the information\n"
"      SyncTeX provides for the given input file, line and column.\n"
"    -->\n"
"    <method name='SynctexView'>\n"
"      <arg type='s' name='input' direction='in' />\n"
"      <arg type='u' name='line' direction='in' />\n"
"      <arg type='u' name='column' direction='in' />\n"
"      <arg type='b' name='return' direction='out' />\n"
"    </method>\n"
"  </interface>\n"
"</node>\n"
;
